Bug 1876689 - CVE-2020-15166 zeromq: unauthenticated clients causing denial-of-service [fedora-all]
Summary: CVE-2020-15166 zeromq: unauthenticated clients causing denial-of-service [fed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zeromq
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Denis Arnaud
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-15166
TreeView+ depends on / blocked
 
Reported: 2020-09-08 01:03 UTC by Marian Rehak
Modified: 2020-10-02 00:29 UTC (History)
3 users (show)

Fixed In Version: zeromq-4.3.3-1.fc32 zeromq-4.3.3-1.fc33 zeromq-4.3.3-1.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-23 17:12:14 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2020-09-08 01:03:21 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-09-08 01:03:23 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1875223,1876689

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Denis Arnaud 2020-09-15 22:36:02 UTC
Build attempt on Fedora Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=51547822
RPM specification file: https://src.fedoraproject.org/rpms/zeromq/tree/master

Comment 3 Denis Arnaud 2020-09-15 23:46:04 UTC
* Successful build on Fedora 33: https://koji.fedoraproject.org/koji/taskinfo?taskID=51550097

Comment 4 Denis Arnaud 2020-09-16 01:21:51 UTC
* Successful build on Fedora 32: https://koji.fedoraproject.org/koji/taskinfo?taskID=51551069

Comment 5 Fedora Update System 2020-09-16 01:23:58 UTC
FEDORA-2020-5460fcf6bd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5460fcf6bd

Comment 6 Fedora Update System 2020-09-16 01:26:11 UTC
FEDORA-2020-08402f4071 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-08402f4071

Comment 7 Denis Arnaud 2020-09-16 01:30:17 UTC
FEDORA-2020-c8310e7f76 has been submitted as an update to Fedora 34 (Rawhide). https://bodhi.fedoraproject.org/updates/FEDORA-2020-c8310e7f76

Comment 8 Fedora Update System 2020-09-16 14:30:17 UTC
FEDORA-2020-08402f4071 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-08402f4071`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-08402f4071

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-16 18:57:47 UTC
FEDORA-2020-5460fcf6bd has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5460fcf6bd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5460fcf6bd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-16 21:22:51 UTC
FEDORA-EPEL-2020-17fdec3133 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-17fdec3133

Comment 11 Denis Arnaud 2020-09-16 21:24:57 UTC
* Successful build on EPEL 8: https://koji.fedoraproject.org/koji/taskinfo?taskID=51610192
* FEDORA-EPEL-2020-17fdec3133 has been submitted as an update to EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-17fdec3133

Comment 12 Fedora Update System 2020-09-17 15:15:33 UTC
FEDORA-EPEL-2020-17fdec3133 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-17fdec3133

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-09-23 17:12:14 UTC
FEDORA-2020-08402f4071 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-09-25 16:59:05 UTC
FEDORA-2020-5460fcf6bd has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-10-02 00:29:04 UTC
FEDORA-EPEL-2020-17fdec3133 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.